KABC::Addressee class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::Addressee Class Reference

address book entry More...

`#include <addressee.h>`

Collaboration diagram for KABC::Addressee:

[legend]
List of all members.

## Public Types
typedef QValueList< Addressee > | List
typedef QValueList< Addressee > | List
## Public Member Functions
| Addressee ()
| Construct an empty address book entry.
| Addressee (const Addressee &)
Addressee & | operator= (const Addressee &)
bool | operator== (const Addressee &) const
bool | operator!= (const Addressee &) const
bool | isEmpty () const
| Return, if the address book entry is empty.
void | setUid (const QString &uid)
| Set unique identifier.
QString | uid () const
| Return unique identifier.
void | setName (const QString &name)
| Set name.
QString | name () const
| Return name.
void | setFormattedName (const QString &formattedName)
| Set formatted name.
QString | formattedName () const
| Return formatted name.
void | setFamilyName (const QString &familyName)
| Set family name.
QString | familyName () const
| Return family name.
void | setGivenName (const QString &givenName)
| Set given name.
QString | givenName () const
| Return given name.
void | setAdditionalName (const QString &additionalName)
| Set additional names.
QString | additionalName () const
| Return additional names.
void | setPrefix (const QString &prefix)
| Set honorific prefixes.
QString | prefix () const
| Return honorific prefixes.
void | setSuffix (const QString &suffix)
| Set honorific suffixes.
QString | suffix () const
| Return honorific suffixes.
void | setNickName (const QString &nickName)
| Set nick name.
QString | nickName () const
| Return nick name.
void | setBirthday (const QDateTime &birthday)
| Set birthday.
QDateTime | birthday () const
| Return birthday.
void | setMailer (const QString &mailer)
| Set mail client.
QString | mailer () const
| Return mail client.
void | setTimeZone (const TimeZone &timeZone)
| Set time zone.
TimeZone | timeZone () const
| Return time zone.
void | setGeo (const Geo &geo)
| Set geographic position.
Geo | geo () const
| Return geographic position.
void | setTitle (const QString &title)
| Set title.
QString | title () const
| Return title.
void | setRole (const QString &role)
| Set role.
QString | role () const
| Return role.
void | setOrganization (const QString &organization)
| Set organization.
QString | organization () const
| Return organization.
void | setNote (const QString &note)
| Set note.
QString | note () const
| Return note.
void | setProductId (const QString &productId)
| Set product identifier.
QString | productId () const
| Return product identifier.
void | setRevision (const QDateTime &revision)
| Set revision date.
QDateTime | revision () const
| Return revision date.
void | setSortString (const QString &sortString)
| Set sort string.
QString | sortString () const
| Return sort string.
void | setUrl (const KURL &url)
| Set URL.
KURL | url () const
| Return URL.
void | setSecrecy (const Secrecy &secrecy)
| Set security class.
Secrecy | secrecy () const
| Return security class.
void | setLogo (const Picture &logo)
| Set logo.
Picture | logo () const
| Return logo.
void | setPhoto (const Picture &photo)
| Set photo.
Picture | photo () const
| Return photo.
void | setSound (const Sound &sound)
| Set sound.
Sound | sound () const
| Return sound.
void | setAgent (const Agent &agent)
| Set agent.
Agent | agent () const
| Return agent.
void | setNameFromString (const QString &)
| Set name fields by parsing the given string and trying to associate the parts of the string with according fields.
QString | realName () const
| Return the name of the addressee.
QString | assembledName () const
| Return the name that consists of all name parts.
QString | fullEmail (const QString &email=QString::null) const
| Return email address including real name.
void | insertEmail (const QString &email, bool preferred=false)
| Insert an email address.
void | removeEmail (const QString &email)
| Remove email address.
QString | preferredEmail () const
| Return preferred email address.
QStringList | emails () const
| Return list of all email addresses.
void | insertPhoneNumber (const PhoneNumber &phoneNumber)
| Insert a phone number.
void | removePhoneNumber (const PhoneNumber &phoneNumber)
| Remove phone number.
PhoneNumber | phoneNumber (int type) const
| Return phone number, which matches the given type.
PhoneNumber::List | phoneNumbers () const
| Return list of all phone numbers.
PhoneNumber::List | phoneNumbers (int type) const
| Return list of phone numbers with a special type.
PhoneNumber | findPhoneNumber (const QString &id) const
| Return phone number with the given id.
void | insertKey (const Key &key)
| Insert a key.
void | removeKey (const Key &key)
| Remove a key.
Key | key (int type, QString customTypeString=QString::null) const
| Return key, which matches the given type.
Key::List | keys () const
| Return list of all keys.
Key::List | keys (int type, QString customTypeString=QString::null) const
| Return list of keys with a special type.
Key | findKey (const QString &id) const
| Return key with the given id.
void | insertAddress (const Address &address)
| Insert an address.
void | removeAddress (const Address &address)
| Remove address.
Address | address (int type) const
| Return address, which matches the given type.
Address::List | addresses () const
| Return list of all addresses.
Address::List | addresses (int type) const
| Return list of addresses with a special type.
Address | findAddress (const QString &id) const
| Return address with the given id.
void | insertCategory (const QString &)
| Insert category.
void | removeCategory (const QString &)
| Remove category.
bool | hasCategory (const QString &) const
| Return, if addressee has the given category.
void | setCategories (const QStringList &)
| Set categories to given value.
QStringList | categories () const
| Return list of all set categories.
void | insertCustom (const QString &app, const QString &name, const QString &value)
| Insert custom entry.
void | removeCustom (const QString &app, const QString &name)
| Remove custom entry.
QString | custom (const QString &app, const QString &name) const
| Return value of custom entry, identified by app and entry name.
void | setCustoms (const QStringList &)
| Set all custom entries.
QStringList | customs () const
| Return list of all custom entries.
void | dump () const
| Debug output.
QString | asString () const
| Returns string representation of the addressee.
void | setResource (Resource *resource)
| Set resource where the addressee is from.
Resource * | resource () const
| Return pointer to resource.
void | setChanged (bool value)
| Mark addressee as changed.
bool | changed () const
| Return whether the addressee is changed.
| Addressee ()
| Construct an empty address book entry.
| Addressee (const Addressee &)
Addressee & | operator= (const Addressee &)
bool | operator== (const Addressee &) const
bool | operator!= (const Addressee &) const
bool | isEmpty () const
| Return, if the address book entry is empty.
DECLARATIONS void | setNameFromString (const QString &)
| Set name fields by parsing the given string and trying to associate the parts of the string with according fields.
QString | realName () const
| Return the name of the addressee.
QString | assembledName () const
| Return the name that consists of all name parts.
QString | fullEmail (const QString &email=QString::null) const
| Return email address including real name.
void | insertEmail (const QString &email, bool preferred=false)
| Insert an email address.
void | removeEmail (const QString &email)
| Remove email address.
QString | preferredEmail () const
| Return preferred email address.
QStringList | emails () const
| Return list of all email addresses.
void | insertPhoneNumber (const PhoneNumber &phoneNumber)
| Insert a phone number.
void | removePhoneNumber (const PhoneNumber &phoneNumber)
| Remove phone number.
PhoneNumber | phoneNumber (int type) const
| Return phone number, which matches the given type.
PhoneNumber::List | phoneNumbers () const
| Return list of all phone numbers.
PhoneNumber::List | phoneNumbers (int type) const
| Return list of phone numbers with a special type.
PhoneNumber | findPhoneNumber (const QString &id) const
| Return phone number with the given id.
void | insertKey (const Key &key)
| Insert a key.
void | removeKey (const Key &key)
| Remove a key.
Key | key (int type, QString customTypeString=QString::null) const
| Return key, which matches the given type.
Key::List | keys () const
| Return list of all keys.
Key::List | keys (int type, QString customTypeString=QString::null) const
| Return list of keys with a special type.
Key | findKey (const QString &id) const
| Return key with the given id.
void | insertAddress (const Address &address)
| Insert an address.
void | removeAddress (const Address &address)
| Remove address.
Address | address (int type) const
| Return address, which matches the given type.
Address::List | addresses () const
| Return list of all addresses.
Address::List | addresses (int type) const
| Return list of addresses with a special type.
Address | findAddress (const QString &id) const
| Return address with the given id.
void | insertCategory (const QString &)
| Insert category.
void | removeCategory (const QString &)
| Remove category.
bool | hasCategory (const QString &) const
| Return, if addressee has the given category.
void | setCategories (const QStringList &)
| Set categories to given value.
QStringList | categories () const
| Return list of all set categories.
void | insertCustom (const QString &app, const QString &name, const QString &value)
| Insert custom entry.
void | removeCustom (const QString &app, const QString &name)
| Remove custom entry.
QString | custom (const QString &app, const QString &name) const
| Return value of custom entry, identified by app and entry name.
void | setCustoms (const QStringList &)
| Set all custom entries.
QStringList | customs () const
| Return list of all custom entries.
void | dump () const
| Debug output.
QString | asString () const
| Returns string representation of the addressee.
void | setResource (Resource *resource)
| Set resource where the addressee is from.
Resource * | resource () const
| Return pointer to resource.
void | setChanged (bool value)
| Mark addressee as changed.
bool | changed () const
| Return whether the addressee is changed.
## Static Public Member Functions
QString | uidLabel ()
| Return translated label for uid field.
QString | nameLabel ()
| Return translated label for name field.
QString | formattedNameLabel ()
| Return translated label for formattedName field.
QString | familyNameLabel ()
| Return translated label for familyName field.
QString | givenNameLabel ()
| Return translated label for givenName field.
QString | additionalNameLabel ()
| Return translated label for additionalName field.
QString | prefixLabel ()
| Return translated label for prefix field.
QString | suffixLabel ()
| Return translated label for suffix field.
QString | nickNameLabel ()
| Return translated label for nickName field.
QString | birthdayLabel ()
| Return translated label for birthday field.
QString | homeAddressStreetLabel ()
| Return translated label for homeAddressStreet field.
QString | homeAddressLocalityLabel ()
| Return translated label for homeAddressLocality field.
QString | homeAddressRegionLabel ()
| Return translated label for homeAddressRegion field.
QString | homeAddressPostalCodeLabel ()
| Return translated label for homeAddressPostalCode field.
QString | homeAddressCountryLabel ()
| Return translated label for homeAddressCountry field.
QString | homeAddressLabelLabel ()
| Return translated label for homeAddressLabel field.
QString | businessAddressStreetLabel ()
| Return translated label for businessAddressStreet field.
QString | businessAddressLocalityLabel ()
| Return translated label for businessAddressLocality field.
QString | businessAddressRegionLabel ()
| Return translated label for businessAddressRegion field.
QString | businessAddressPostalCodeLabel ()
| Return translated label for businessAddressPostalCode field.
QString | businessAddressCountryLabel ()
| Return translated label for businessAddressCountry field.
QString | businessAddressLabelLabel ()
| Return translated label for businessAddressLabel field.
QString | homePhoneLabel ()
| Return translated label for homePhone field.
QString | businessPhoneLabel ()
| Return translated label for businessPhone field.
QString | mobilePhoneLabel ()
| Return translated label for mobilePhone field.
QString | homeFaxLabel ()
| Return translated label for homeFax field.
QString | businessFaxLabel ()
| Return translated label for businessFax field.
QString | carPhoneLabel ()
| Return translated label for carPhone field.
QString | isdnLabel ()
| Return translated label for isdn field.
QString | pagerLabel ()
| Return translated label for pager field.
QString | emailLabel ()
| Return translated label for email field.
QString | mailerLabel ()
| Return translated label for mailer field.
QString | timeZoneLabel ()
| Return translated label for timeZone field.
QString | geoLabel ()
| Return translated label for geo field.
QString | titleLabel ()
| Return translated label for title field.
QString | roleLabel ()
| Return translated label for role field.
QString | organizationLabel ()
| Return translated label for organization field.
QString | noteLabel ()
| Return translated label for note field.
QString | productIdLabel ()
| Return translated label for productId field.
QString | revisionLabel ()
| Return translated label for revision field.
QString | sortStringLabel ()
| Return translated label for sortString field.
QString | urlLabel ()
| Return translated label for url field.
QString | secrecyLabel ()
| Return translated label for secrecy field.
QString | logoLabel ()
| Return translated label for logo field.
QString | photoLabel ()
| Return translated label for photo field.
QString | soundLabel ()
| Return translated label for sound field.
QString | agentLabel ()
| Return translated label for agent field.
void | parseEmailAddress (const QString &rawEmail, QString &fullName, QString &email)
| Parse full email address.
void | parseEmailAddress (const QString &rawEmail, QString &fullName, QString &email)
| Parse full email address.
## Friends
QDataStream & | operator<< (QDataStream &, const Addressee &)
QDataStream & | operator>> (QDataStream &, Addressee &)
QDataStream & | operator<< (QDataStream &, const Addressee &)
QDataStream & | operator>> (QDataStream &, Addressee &)

## Detailed Description

address book entry

This class represents an entry in the address book.

The data of this class is implicitly shared. You can pass this class by value.

If you need the name of a field for presenting it to the user you should use the functions ending in Label(). They return a translated string which can be used as label for the corresponding field.

About the name fields:

givenName() is the first name and familyName() the last name. In some countries the family name comes first, that's the reason for the naming. formattedName() is the full name with the correct formatting. It is used as an override, when the correct formatting can't be generated from the other name fields automatically.

realName() returns a fully formatted name(). It uses formattedName, if set, otherwise it constucts the name from the name fields. As fallback, if nothing else is set it uses name().

name() is the NAME type of RFC2426. It can be used as internal name for the data enty, but shouldn't be used for displaying the data to the user.

Definition at line 73 of file addressee.h.

## Constructor & Destructor Documentation

KABC::Addressee::Addressee | ( |  | ) |

| Construct an empty address book entry.

KABC::Addressee::Addressee | ( |  | ) |

| Construct an empty address book entry.

## Member Function Documentation

bool KABC::Addressee::isEmpty | ( |  | ) | const

| Return, if the address book entry is empty. Referenced by KABC::DistributionListManager::load().

void KABC::Addressee::setUid | ( | const QString & | uid | ) |

| Set unique identifier.

QString KABC::Addressee::uid | ( |  | ) | const

| Return unique identifier. Referenced by KABC::DistributionList::insertEntry(), and KABC::DistributionList::removeEntry().

QString KABC::Addressee::uidLabel | ( |  | ) | `[static]`

| Return translated label for uid field.

void KABC::Addressee::setName | ( | const QString & | name | ) |

| Set name.

QString KABC::Addressee::name | ( |  | ) | const

| Return name.

QString KABC::Addressee::nameLabel | ( |  | ) | `[static]`

| Return translated label for name field.

void KABC::Addressee::setFormattedName | ( | const QString & | formattedName | ) |

| Set formatted name.

QString KABC::Addressee::formattedName | ( |  | ) | const

| Return formatted name.

QString KABC::Addressee::formattedNameLabel | ( |  | ) | `[static]`

| Return translated label for formattedName field.

void KABC::Addressee::setFamilyName | ( | const QString & | familyName | ) |

| Set family name.

QString KABC::Addressee::familyName | ( |  | ) | const

| Return family name.

QString KABC::Addressee::familyNameLabel | ( |  | ) | `[static]`

| Return translated label for familyName field.

void KABC::Addressee::setGivenName | ( | const QString & | givenName | ) |

| Set given name.

QString KABC::Addressee::givenName | ( |  | ) | const

| Return given name.

QString KABC::Addressee::givenNameLabel | ( |  | ) | `[static]`

| Return translated label for givenName field.

void KABC::Addressee::setAdditionalName | ( | const QString & | additionalName | ) |

| Set additional names.

QString KABC::Addressee::additionalName | ( |  | ) | const

| Return additional names.

QString KABC::Addressee::additionalNameLabel | ( |  | ) | `[static]`

| Return translated label for additionalName field.

void KABC::Addressee::setPrefix | ( | const QString & | prefix | ) |

| Set honorific prefixes.

QString KABC::Addressee::prefix | ( |  | ) | const

| Return honorific prefixes.

QString KABC::Addressee::prefixLabel | ( |  | ) | `[static]`

| Return translated label for prefix field.

void KABC::Addressee::setSuffix | ( | const QString & | suffix | ) |

| Set honorific suffixes.

QString KABC::Addressee::suffix | ( |  | ) | const

| Return honorific suffixes.

QString KABC::Addressee::suffixLabel | ( |  | ) | `[static]`

| Return translated label for suffix field.

void KABC::Addressee::setNickName | ( | const QString & | nickName | ) |

| Set nick name.

QString KABC::Addressee::nickName | ( |  | ) | const

| Return nick name.

QString KABC::Addressee::nickNameLabel | ( |  | ) | `[static]`

| Return translated label for nickName field.

void KABC::Addressee::setBirthday | ( | const QDateTime & | birthday | ) |

| Set birthday.

QDateTime KABC::Addressee::birthday | ( |  | ) | const

| Return birthday.

QString KABC::Addressee::birthdayLabel | ( |  | ) | `[static]`

| Return translated label for birthday field.

QString KABC::Addressee::homeAddressStreetLabel | ( |  | ) | `[static]`

| Return translated label for homeAddressStreet field.

QString KABC::Addressee::homeAddressLocalityLabel | ( |  | ) | `[static]`

| Return translated label for homeAddressLocality field.

QString KABC::Addressee::homeAddressRegionLabel | ( |  | ) | `[static]`

| Return translated label for homeAddressRegion field.

QString KABC::Addressee::homeAddressPostalCodeLabel | ( |  | ) | `[static]`

| Return translated label for homeAddressPostalCode field.

QString KABC::Addressee::homeAddressCountryLabel | ( |  | ) | `[static]`

| Return translated label for homeAddressCountry field.

QString KABC::Addressee::homeAddressLabelLabel | ( |  | ) | `[static]`

| Return translated label for homeAddressLabel field.

QString KABC::Addressee::businessAddressStreetLabel | ( |  | ) | `[static]`

| Return translated label for businessAddressStreet field.

QString KABC::Addressee::businessAddressLocalityLabel | ( |  | ) | `[static]`

| Return translated label for businessAddressLocality field.

QString KABC::Addressee::businessAddressRegionLabel | ( |  | ) | `[static]`

| Return translated label for businessAddressRegion field.

QString KABC::Addressee::businessAddressPostalCodeLabel | ( |  | ) | `[static]`

| Return translated label for businessAddressPostalCode field.

QString KABC::Addressee::businessAddressCountryLabel | ( |  | ) | `[static]`

| Return translated label for businessAddressCountry field.

QString KABC::Addressee::businessAddressLabelLabel | ( |  | ) | `[static]`

| Return translated label for businessAddressLabel field.

QString KABC::Addressee::homePhoneLabel | ( |  | ) | `[static]`

| Return translated label for homePhone field.

QString KABC::Addressee::businessPhoneLabel | ( |  | ) | `[static]`

| Return translated label for businessPhone field.

QString KABC::Addressee::mobilePhoneLabel | ( |  | ) | `[static]`

| Return translated label for mobilePhone field.

QString KABC::Addressee::homeFaxLabel | ( |  | ) | `[static]`

| Return translated label for homeFax field.

QString KABC::Addressee::businessFaxLabel | ( |  | ) | `[static]`

| Return translated label for businessFax field.

QString KABC::Addressee::carPhoneLabel | ( |  | ) | `[static]`

| Return translated label for carPhone field.

QString KABC::Addressee::isdnLabel | ( |  | ) | `[static]`

| Return translated label for isdn field.

QString KABC::Addressee::pagerLabel | ( |  | ) | `[static]`

| Return translated label for pager field.

QString KABC::Addressee::emailLabel | ( |  | ) | `[static]`

| Return translated label for email field.

void KABC::Addressee::setMailer | ( | const QString & | mailer | ) |

| Set mail client.

QString KABC::Addressee::mailer | ( |  | ) | const

| Return mail client.

QString KABC::Addressee::mailerLabel | ( |  | ) | `[static]`

| Return translated label for mailer field.

void KABC::Addressee::setTimeZone | ( | const TimeZone & | timeZone | ) |

| Set time zone.

TimeZone KABC::Addressee::timeZone | ( |  | ) | const

| Return time zone.

QString KABC::Addressee::timeZoneLabel | ( |  | ) | `[static]`

| Return translated label for timeZone field.

void KABC::Addressee::setGeo | ( | const Geo & | geo | ) |

| Set geographic position.

Geo KABC::Addressee::geo | ( |  | ) | const

| Return geographic position.

QString KABC::Addressee::geoLabel | ( |  | ) | `[static]`

| Return translated label for geo field.

void KABC::Addressee::setTitle | ( | const QString & | title | ) |

| Set title.

QString KABC::Addressee::title | ( |  | ) | const

| Return title.

QString KABC::Addressee::titleLabel | ( |  | ) | `[static]`

| Return translated label for title field.

void KABC::Addressee::setRole | ( | const QString & | role | ) |

| Set role.

QString KABC::Addressee::role | ( |  | ) | const

| Return role.

QString KABC::Addressee::roleLabel | ( |  | ) | `[static]`

| Return translated label for role field.

void KABC::Addressee::setOrganization | ( | const QString & | organization | ) |

| Set organization.

QString KABC::Addressee::organization | ( |  | ) | const

| Return organization.

QString KABC::Addressee::organizationLabel | ( |  | ) | `[static]`

| Return translated label for organization field.

void KABC::Addressee::setNote | ( | const QString & | note | ) |

| Set note.

QString KABC::Addressee::note | ( |  | ) | const

| Return note.

QString KABC::Addressee::noteLabel | ( |  | ) | `[static]`

| Return translated label for note field.

void KABC::Addressee::setProductId | ( | const QString & | productId | ) |

| Set product identifier.

QString KABC::Addressee::productId | ( |  | ) | const

| Return product identifier.

QString KABC::Addressee::productIdLabel | ( |  | ) | `[static]`

| Return translated label for productId field.

void KABC::Addressee::setRevision | ( | const QDateTime & | revision | ) |

| Set revision date.

QDateTime KABC::Addressee::revision | ( |  | ) | const

| Return revision date.

QString KABC::Addressee::revisionLabel | ( |  | ) | `[static]`

| Return translated label for revision field.

void KABC::Addressee::setSortString | ( | const QString & | sortString | ) |

| Set sort string.

QString KABC::Addressee::sortString | ( |  | ) | const

| Return sort string.

QString KABC::Addressee::sortStringLabel | ( |  | ) | `[static]`

| Return translated label for sortString field.

void KABC::Addressee::setUrl | ( | const KURL & | url | ) |

| Set URL.

KURL KABC::Addressee::url | ( |  | ) | const

| Return URL.

QString KABC::Addressee::urlLabel | ( |  | ) | `[static]`

| Return translated label for url field.

void KABC::Addressee::setSecrecy | ( | const Secrecy & | secrecy | ) |

| Set security class.

Secrecy KABC::Addressee::secrecy | ( |  | ) | const

| Return security class.

QString KABC::Addressee::secrecyLabel | ( |  | ) | `[static]`

| Return translated label for secrecy field.

void KABC::Addressee::setLogo | ( | const Picture & | logo | ) |

| Set logo.

Picture KABC::Addressee::logo | ( |  | ) | const

| Return logo.

QString KABC::Addressee::logoLabel | ( |  | ) | `[static]`

| Return translated label for logo field.

void KABC::Addressee::setPhoto | ( | const Picture & | photo | ) |

| Set photo.

Picture KABC::Addressee::photo | ( |  | ) | const

| Return photo.

QString KABC::Addressee::photoLabel | ( |  | ) | `[static]`

| Return translated label for photo field.

void KABC::Addressee::setSound | ( | const Sound & | sound | ) |

| Set sound.

Sound KABC::Addressee::sound | ( |  | ) | const

| Return sound.

QString KABC::Addressee::soundLabel | ( |  | ) | `[static]`

| Return translated label for sound field.

void KABC::Addressee::setAgent | ( | const Agent & | agent | ) |

| Set agent.

Agent KABC::Addressee::agent | ( |  | ) | const

| Return agent.

QString KABC::Addressee::agentLabel | ( |  | ) | `[static]`

| Return translated label for agent field.

void KABC::Addressee::setNameFromString | ( | const QString & |  | ) |

| Set name fields by parsing the given string and trying to associate the parts of the string with according fields. This function should probably be a bit more clever.

QString KABC::Addressee::realName | ( |  | ) | const

| Return the name of the addressee. This is calculated from all the name fields. Referenced by KABC::AddresseeItem::AddresseeItem().

QString KABC::Addressee::assembledName | ( |  | ) | const

| Return the name that consists of all name parts.

QString KABC::Addressee::fullEmail | ( | const QString & | email = QString::null | ) | const

  | Return email address including real name. Parameters:
  email | Email address to be used to construct the full email string. If this is QString::null the preferred email address is used.
Referenced by KABC::DistributionList::emails().

void KABC::Addressee::insertEmail | ( | const QString & | email,
|  | bool | preferred = false
| ) |

  | Insert an email address. If the email address already exists in this addressee it is not duplicated. Parameters:
  email | Email address
  preferred | Set to true, if this is the preferred email address of the addressee.

void KABC::Addressee::removeEmail | ( | const QString & | email | ) |

| Remove email address. If the email address doesn't exist, nothing happens.

QString KABC::Addressee::preferredEmail | ( |  | ) | const

| Return preferred email address. This is the first email address or the last one added with isnertEmail() with a set preferred parameter. Referenced by KABC::AddresseeItem::AddresseeItem().

QStringList KABC::Addressee::emails | ( |  | ) | const

| Return list of all email addresses.

void KABC::Addressee::insertPhoneNumber | ( | const PhoneNumber & | phoneNumber | ) |

| Insert a phone number. If a phoen number with the same id already exists in this addressee it is not duplicated.

void KABC::Addressee::removePhoneNumber | ( | const PhoneNumber & | phoneNumber | ) |

| Remove phone number. If no phone number with the given id exists for this addresse nothing happens.

PhoneNumber KABC::Addressee::phoneNumber | ( | int | type | ) | const

| Return phone number, which matches the given type.

PhoneNumber::List KABC::Addressee::phoneNumbers | ( |  | ) | const

| Return list of all phone numbers.

PhoneNumber::List KABC::Addressee::phoneNumbers | ( | int | type | ) | const

| Return list of phone numbers with a special type.

PhoneNumber KABC::Addressee::findPhoneNumber | ( | const QString & | id | ) | const

| Return phone number with the given id.

void KABC::Addressee::insertKey | ( | const Key & | key | ) |

| Insert a key. If a key with the same id already exists in this addressee it is not duplicated.

void KABC::Addressee::removeKey | ( | const Key & | key | ) |

| Remove a key. If no key with the given id exists for this addresse nothing happens.

Key KABC::Addressee::key | ( | int | type,
|  | QString | customTypeString = QString::null
| ) | const

| Return key, which matches the given type. If `type` == Key::Custom you can specify a string that should match. If you leave the string empty, the first key with a custom value is returned.

Key::List KABC::Addressee::keys | ( |  | ) | const

| Return list of all keys.

Key::List KABC::Addressee::keys | ( | int | type,
|  | QString | customTypeString = QString::null
| ) | const

| Return list of keys with a special type. If `type` == Key::Custom you can specify a string that should match. If you leave the string empty, all custom keys will be returned.

Key KABC::Addressee::findKey | ( | const QString & | id | ) | const

| Return key with the given id.

void KABC::Addressee::insertAddress | ( | const Address & | address | ) |

| Insert an address. If an address with the same id already exists in this addressee it is not duplicated.

void KABC::Addressee::removeAddress | ( | const Address & | address | ) |

| Remove address. If no address with the given id exists for this addresse nothing happens.

Address KABC::Addressee::address | ( | int | type | ) | const

| Return address, which matches the given type.

Address::List KABC::Addressee::addresses | ( |  | ) | const

| Return list of all addresses.

Address::List KABC::Addressee::addresses | ( | int | type | ) | const

| Return list of addresses with a special type.

Address KABC::Addressee::findAddress | ( | const QString & | id | ) | const

| Return address with the given id.

void KABC::Addressee::insertCategory | ( | const QString & |  | ) |

| Insert category. If the category already exists it is not duplicated.

void KABC::Addressee::removeCategory | ( | const QString & |  | ) |

| Remove category.

bool KABC::Addressee::hasCategory | ( | const QString & |  | ) | const

| Return, if addressee has the given category.

void KABC::Addressee::setCategories | ( | const QStringList & |  | ) |

| Set categories to given value.

QStringList KABC::Addressee::categories | ( |  | ) | const

| Return list of all set categories.

void KABC::Addressee::insertCustom | ( | const QString & | app,
|  | const QString & | name,
|  | const QString & | value
| ) |

| Insert custom entry. The entry is identified by the name of the inserting application and a unique name. If an entry with the given app and name already exists its value is replaced with the new given value.

void KABC::Addressee::removeCustom | ( | const QString & | app,
|  | const QString & | name
| ) |

| Remove custom entry.

QString KABC::Addressee::custom | ( | const QString & | app,
|  | const QString & | name
| ) | const

| Return value of custom entry, identified by app and entry name.

void KABC::Addressee::setCustoms | ( | const QStringList & |  | ) |

| Set all custom entries.

QStringList KABC::Addressee::customs | ( |  | ) | const

| Return list of all custom entries.

void KABC::Addressee::parseEmailAddress | ( | const QString & | rawEmail,
|  | QString & | fullName,
|  | QString & | email
| ) | `[static]`

| Parse full email address. The result is given back in fullName and email.

void KABC::Addressee::dump | ( |  | ) | const

| Debug output.

QString KABC::Addressee::asString | ( |  | ) | const

| Returns string representation of the addressee.

void KABC::Addressee::setResource | ( | Resource * | resource | ) |

| Set resource where the addressee is from. Referenced by KABC::BinaryFormat::loadAll().

Resource* KABC::Addressee::resource | ( |  | ) | const

| Return pointer to resource.

void KABC::Addressee::setChanged | ( | bool | value | ) |

| Mark addressee as changed.

bool KABC::Addressee::changed | ( |  | ) | const

| Return whether the addressee is changed.

bool KABC::Addressee::isEmpty | ( |  | ) | const

| Return, if the address book entry is empty.

DECLARATIONS void KABC::Addressee::setNameFromString | ( | const QString & |  | ) |

| Set name fields by parsing the given string and trying to associate the parts of the string with according fields. This function should probably be a bit more clever.

QString KABC::Addressee::realName | ( |  | ) | const

| Return the name of the addressee. This is calculated from all the name fields.

QString KABC::Addressee::assembledName | ( |  | ) | const

| Return the name that consists of all name parts.

QString KABC::Addressee::fullEmail | ( | const QString & | email = QString::null | ) | const

  | Return email address including real name. Parameters:
  email | Email address to be used to construct the full email string. If this is QString::null the preferred email address is used.

void KABC::Addressee::insertEmail | ( | const QString & | email,
|  | bool | preferred = false
| ) |

  | Insert an email address. If the email address already exists in this addressee it is not duplicated. Parameters:
  email | Email address
  preferred | Set to true, if this is the preferred email address of the addressee.

void KABC::Addressee::removeEmail | ( | const QString & | email | ) |

| Remove email address. If the email address doesn't exist, nothing happens.

QString KABC::Addressee::preferredEmail | ( |  | ) | const

| Return preferred email address. This is the first email address or the last one added with isnertEmail() with a set preferred parameter.

QStringList KABC::Addressee::emails | ( |  | ) | const

| Return list of all email addresses.

void KABC::Addressee::insertPhoneNumber | ( | const PhoneNumber & | phoneNumber | ) |

| Insert a phone number. If a phoen number with the same id already exists in this addressee it is not duplicated.

void KABC::Addressee::removePhoneNumber | ( | const PhoneNumber & | phoneNumber | ) |

| Remove phone number. If no phone number with the given id exists for this addresse nothing happens.

PhoneNumber KABC::Addressee::phoneNumber | ( | int | type | ) | const

| Return phone number, which matches the given type.

PhoneNumber::List KABC::Addressee::phoneNumbers | ( |  | ) | const

| Return list of all phone numbers.

PhoneNumber::List KABC::Addressee::phoneNumbers | ( | int | type | ) | const

| Return list of phone numbers with a special type.

PhoneNumber KABC::Addressee::findPhoneNumber | ( | const QString & | id | ) | const

| Return phone number with the given id.

void KABC::Addressee::insertKey | ( | const Key & | key | ) |

| Insert a key. If a key with the same id already exists in this addressee it is not duplicated.

void KABC::Addressee::removeKey | ( | const Key & | key | ) |

| Remove a key. If no key with the given id exists for this addresse nothing happens.

Key KABC::Addressee::key | ( | int | type,
|  | QString | customTypeString = QString::null
| ) | const

| Return key, which matches the given type. If `type` == Key::Custom you can specify a string that should match. If you leave the string empty, the first key with a custom value is returned.

Key::List KABC::Addressee::keys | ( |  | ) | const

| Return list of all keys.

Key::List KABC::Addressee::keys | ( | int | type,
|  | QString | customTypeString = QString::null
| ) | const

| Return list of keys with a special type. If `type` == Key::Custom you can specify a string that should match. If you leave the string empty, all custom keys will be returned.

Key KABC::Addressee::findKey | ( | const QString & | id | ) | const

| Return key with the given id.

void KABC::Addressee::insertAddress | ( | const Address & | address | ) |

| Insert an address. If an address with the same id already exists in this addressee it is not duplicated.

void KABC::Addressee::removeAddress | ( | const Address & | address | ) |

| Remove address. If no address with the given id exists for this addresse nothing happens.

Address KABC::Addressee::address | ( | int | type | ) | const

| Return address, which matches the given type.

Address::List KABC::Addressee::addresses | ( |  | ) | const

| Return list of all addresses.

Address::List KABC::Addressee::addresses | ( | int | type | ) | const

| Return list of addresses with a special type.

Address KABC::Addressee::findAddress | ( | const QString & | id | ) | const

| Return address with the given id.

void KABC::Addressee::insertCategory | ( | const QString & |  | ) |

| Insert category. If the category already exists it is not duplicated.

void KABC::Addressee::removeCategory | ( | const QString & |  | ) |

| Remove category.

bool KABC::Addressee::hasCategory | ( | const QString & |  | ) | const

| Return, if addressee has the given category.

void KABC::Addressee::setCategories | ( | const QStringList & |  | ) |

| Set categories to given value.

QStringList KABC::Addressee::categories | ( |  | ) | const

| Return list of all set categories.

void KABC::Addressee::insertCustom | ( | const QString & | app,
|  | const QString & | name,
|  | const QString & | value
| ) |

| Insert custom entry. The entry is identified by the name of the inserting application and a unique name. If an entry with the given app and name already exists its value is replaced with the new given value.

void KABC::Addressee::removeCustom | ( | const QString & | app,
|  | const QString & | name
| ) |

| Remove custom entry.

QString KABC::Addressee::custom | ( | const QString & | app,
|  | const QString & | name
| ) | const

| Return value of custom entry, identified by app and entry name.

void KABC::Addressee::setCustoms | ( | const QStringList & |  | ) |

| Set all custom entries.

QStringList KABC::Addressee::customs | ( |  | ) | const

| Return list of all custom entries.

void KABC::Addressee::parseEmailAddress | ( | const QString & | rawEmail,
|  | QString & | fullName,
|  | QString & | email
| ) | `[static]`

| Parse full email address. The result is given back in fullName and email.

void KABC::Addressee::dump | ( |  | ) | const

| Debug output.

QString KABC::Addressee::asString | ( |  | ) | const

| Returns string representation of the addressee.

void KABC::Addressee::setResource | ( | Resource * | resource | ) |

| Set resource where the addressee is from.

Resource* KABC::Addressee::resource | ( |  | ) | const

| Return pointer to resource.

void KABC::Addressee::setChanged | ( | bool | value | ) |

| Mark addressee as changed.

bool KABC::Addressee::changed | ( |  | ) | const

| Return whether the addressee is changed.

The documentation for this class was generated from the following files:

- addressee.h
- addressee.src.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:27 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001